mav_callbackDrawSet(3)

NAME
mav_callbackDrawSet - Set callback function for an object class.

LEVEL
Maverik Level 2

SYNTAX
void mav_callbackDrawSet(MAV_window *w, MAV_class *c, MAV_callbackDrawFn fn);

void mav_callbackBBSet(MAV_window *w, MAV_class *c, MAV_callbackBBFn fn);

void mav_callbackIntersectSet(MAV_window *w, MAV_class *c, MAV_callbackIntersectFn fn);

void mav_callbackIDSet(MAV_window *w, MAV_class *c, MAV_callbackIDFn fn);

void mav_callbackDumpSet(MAV_window *w, MAV_class *c, MAV_callbackDumpFn fn);

void mav_callbackGetUserdefSet(MAV_window *w, MAV_class *c, MAV_callbackGetUserdefFn fn);

void mav_callbackGetMatrixSet(MAV_window *w, MAV_class *c, MAV_callbackGetMatrixFn fn);

void mav_callbackGetSurfaceParamsSet(MAV_window *w, MAV_class *c, MAV_callbackGetSurfaceParamsFn fn);

DESCRIPTION
These functions set the appropriate callback function for object class c in window w to be fn.